summaryrefslogtreecommitdiff
path: root/grpc/tools/internal_ci/linux/grpc_xds_v3_csharp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'grpc/tools/internal_ci/linux/grpc_xds_v3_csharp.sh')
-rwxr-xr-xgrpc/tools/internal_ci/linux/grpc_xds_v3_csharp.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/grpc/tools/internal_ci/linux/grpc_xds_v3_csharp.sh b/grpc/tools/internal_ci/linux/grpc_xds_v3_csharp.sh
new file mode 100755
index 00000000..64b986c3
--- /dev/null
+++ b/grpc/tools/internal_ci/linux/grpc_xds_v3_csharp.sh
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+# Copyright 2021 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../../..
+
+source tools/internal_ci/helper_scripts/prepare_build_linux_rc
+
+export DOCKERFILE_DIR=tools/dockerfile/test/csharp_stretch_x64
+export DOCKER_RUN_SCRIPT=tools/internal_ci/linux/grpc_xds_v3_csharp_test_in_docker.sh
+export OUTPUT_DIR=reports
+exec tools/run_tests/dockerize/build_and_run_docker.sh